Subject: Effort & difficulty in linking ONUG work with IETF

From: Linda Dunbar <[email-masked]>
Date: Wed, 29 Nov 2017 21:42:55 +0000

At IETF100 plenary, Dino Farinacci brought up the subject of linking ONUG initiatives with IETF work. Since I've been actively contributing to both IETF and ONUG work, I want to share my experience in trying to link the two worlds.
ONUG (Open Network User Group) currently has 4 Working Groups:

-        OSE: Open SD-WAN Exchange

-        SDSS: Software Defined Security Services

-        HC: Hybrid Cloud

-        M&A: Monitoring & Analytics.

One practice by ONUG might be worth learning for IETF: ONUG only let User Community (excluding vendors) to vote for their desired use cases. ONUG WGs are created for the use cases with the highest votes (by users).
ONUG's Software Defined Security Services WG is closely aligned with IETF's I2NSF WG. The use cases & requirements specified by ONUG SDSS have been incorporated to I2NSF's draft-ietf-i2nsf-problem-and-use-cases [RFC8192].

ONUG doesn't do standard, therefore interoperability is not their priority. Instead, ONUG is to let many large enterprises collectively show their common use cases, requirement, and problems they face. This year, most of the use cases and problems being discussed are centered on how to enable enterprises to move their workloads to many available public clouds.

One interesting event of the 2017 ONUG Fall is a "Right Stuff Innovation" PoC demo which, per Nick Lippis (ONUG Founder), is meant to show the Beacon of the Light of vendors' innovative solutions for highly desired use cases (i.e. facilitating enterprise embracing digital transformation). I led a team participated in the competition and got the award (http://www.pressreleasepoint.com/huaweis-sd-wan-wins-onug-right-stuff-innovation-award).

We have been trying to bring the problems/use cases being discussed in ONUG to IETF. Here are some preliminary drafts describing the problems and the gaps.

https://datatracker.ietf.org/doc/draft-dm-vpn-ext-to-cloud-dc-problem-statement/

https://datatracker.ietf.org/doc/draft-dm-vpn-ext-to-cloud-dc-gap-analysis/

The drafts will need more work to be accepted by IETF community. We need help. If anyone is interested in working together in this domain, please contact us.

Thanks, Linda Dunbar